# $Id$
# Authority: dag
# Upstream: Andrew Chatham <pyogg@andrewchatham.com>

%define python_includedir %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_inc()')
%define python_version %(%{__python} -c 'import sys; print sys.version.split(" ")[0]')
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

%define real_name pyvorbis

Summary: Python bindings for libvorbis
Name: python-vorbis
Version: 1.4
Release: 1.rf
License: LGPL
Group: Development/Libraries
URL: http://www.andrewchatham.com/pyogg/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.andrewchatham.com/pyogg/download/pyvorbis-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python, python-ogg
Requires: python >= %{python_version}, python-ogg

%description
Python bindings for libvorbis

%prep
%setup -n %{real_name}-%{version}

%{__cat} <<EOF >Setup
ogg_libs = ogg
vorbis_libs = vorbis vorbisfile vorbisenc
vorbis_include_dir = %{_libdir}
ogg_lib_dir = %{_libdir}
ogg_include_dir = %{_includedir}
vorbis_lib_dir = %{_libdir}
EOF

%build
export CFLAGS="%{optflags}" 
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{python_sitearch}/ogg/
%{python_sitearch}/ogg/vorbis.so

%changelog
* Sun May 08 2005 Dag Wieers <dag@wieers.com> - 1.4-1
- Initial package. (using DAR)
